# MPI_File_iread_shared

Nonblocking read using shared file pointer

## Synopsis

    #ifdef HAVE_MPI_GREQUEST
    #include "mpiu_greq.h"

    int MPI_File_iread_shared(MPI_File mpi_fh, void *buf, int count,
                            MPI_Datatype datatype, MPI_Request *request)

## Input Parameters

fh
  file handle (handle)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

buf
  initial address of buffer (choice)

request
  request object (handle)

Location:iread_sh.c